[package]
name = "hc337-miniproject-5"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
rand = "0.8.5"
lambda_http = "0.10.0"
tokio = { version = "1", features = ["macros"] }
serde = { version = "1.0.197", features = ["derive"] }
chrono = "0.4.34"
aws-sdk-dynamodb = "1.16"
aws-config = "1.1"
serde_json = "1.0"
lambda_runtime = "0.10.0"
tracing = { version = "0.1", features = ["log"] }
tracing-subscriber = { version = "0.3", default-features = false, features = ["env-filter", "fmt"] }
serde_dynamo = { version = "4", features = ["aws-sdk-dynamodb+1"] }
tap = "1.0.1"
